%define name perl-CGI-Minimal
%define realname CGI-Minimal
%define version 1.09
%define release 2mdk

Name:		%{name}
Summary:	Extremely lightweight CGI processing package
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildPreReq:	perl
Requires:	perl

%description
CGI-Minimal is an extremely lightweight Perl module that provides CGI
processing abilities designed to provide form decoding and related services
with low overhead.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install
mkdir -p %{buildroot}/%{perl_archlib}
make PREFIX=%{buildroot}%{_prefix} install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/CGI/*
%_mandir/man3pm/*

%changelog
* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.09-2mdk
- rebuild

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.09-1mdk
- 1.09

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.06-4mdk
- rebuild

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.06-3mdk
- BM
- macros

* Sat Jul 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.06-2mdk
- build for new perl
- macroization

* Tue May  9 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.06-1mdk
- initial specfile
- bzip sources
